> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailreadyai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Facilities

> Get a list of your facilities' names, ids, and external facility codes 



## OpenAPI

````yaml /openapi.json get /api/user-facilities/v1/facilities
openapi: 3.0.0
info:
  title: Authentication API
  description: API for user authentication and token generation
  version: 1.0.0
servers:
  - url: https://api.retailreadyai.com
    description: Production server
  - url: https://stg.retailreadyai.com
    description: Staging server
security: []
paths:
  /api/user-facilities/v1/facilities:
    get:
      tags:
        - Facilities
      summary: Get Facilities
      description: 'Get a list of your facilities'' names, ids, and external facility codes '
      responses:
        '200':
          description: Successfully retrieved facilities
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Success message
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          description: Unique identifier for the facility
                        name:
                          type: string
                          description: Name of the facility
                        external_facility_code:
                          type: string
                          description: External facility code
              example:
                data:
                  - id: 92eaa7f4-6469-4a68-818c-509574d712fa
                    name: LogisticsPro NYC
                    external_facility_code: '1234'
                  - id: 92eaa7f4-6469-4a68-818c-509574d712fa
                    name: LogisticsPro LAX
                    external_facility_code: '1234'
                  - id: 92eaa7f4-6469-4a68-818c-509574d712fa
                    name: LogisticsPro CHI
                    external_facility_code: '1234'
                  - id: 92eaa7f4-6469-4a68-818c-509574d712fa
                    name: LogisticsPro ATL
                    external_facility_code: '1234'
                message: Facilities fetched
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
              example:
                message: Authentication failed
                error:
                  code: UNAUTHORIZED
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    type: object
                    properties:
                      code:
                        type: string
              example:
                message: Error fetching facilities
                error:
                  code: INTERNAL_SERVER_ERROR
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````